Subject: bug#6339: url-filename => "/c:/some/file.txt"

From: Jason Rumney <[email-masked]>
Date: Sat, 24 Sep 2011 11:35:17 +0800

Juanma Barranquero <[email-masked]> writes:

> file:///c:/some/file.txt is a URL, i.e., it's a pointer to some
> specific file in some specific place (or files with identical path and
> name in different hosts, because the URL is missing the HOST part,
> defaulting then to localhost). In fact, it is the URL that points to a
> file, in some filesystem, with absolute path "c:/some/file.txt".

No. That is not an absolute path on most platforms. The absolute path on
POSIX platforms would be /c:/some/file.txt, which is consistant with
other URL schemes where the initial / forms part of the PATH portion of
the URL.